This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 511147 - Error: [TP-Processor3] WARN com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message key found in XML Resource file:
Error: [TP-Processor3] WARN com.redhat.rhn.common.localization.XmlResourceBu...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: i18n (Show other bugs)
520
All Linux
low Severity low
: ---
: ---
Assigned To: Partha Aji
Red Hat Satellite QA List
Fixed in the 5.4.0 Release - GA'd 201...
:
Depends On:
Blocks: sat540-canfix
  Show dependency treegraph
 
Reported: 2009-07-13 17:39 EDT by Issue Tracker
Modified: 2010-11-08 02:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 11:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2009-07-13 17:39:41 EDT
Escalated to Bugzilla from IssueTracker
Comment 3 Xixi 2009-07-13 17:45:17 EDT
rhn-java-sat-5.2.0-23.el5

Customer noticed the following warnings in catalina.out -
...
2009-06-21 20:18:50,283 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparedeployed.jsp.noSystems
2009-06-21 20:18:50,283 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: diffconfirm.jsp.noSystems
2009-06-21 20:18:50,283 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: unsubscribeconfirm.jsp.noSystems
2009-06-21 20:18:50,283 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmchannelsystems.jsp.noSystems
2009-06-21 20:18:50,284 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: lookup.jsp.reason3
2009-06-21 20:18:50,285 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: error.common.errorAlt
2009-06-21 20:18:50,285 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: summary.jsp.errorAlt
2009-06-21 20:18:50,285 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssm.config.subscribeconfirm.jsp.confirm
2009-06-21 20:18:50,285 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdcimportconfirm.jsp.confirm
2009-06-21 20:18:50,287 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmdiff.jsp.systems
2009-06-21 20:18:50,287 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: unsubscribe.jsp.systems
2009-06-21 20:18:50,287 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: basesub.jsp.systemCount
2009-06-21 20:18:50,287 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: basesub.jsp.noSystems
2009-06-21 20:18:50,288 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: configchannelfilter.name
2009-06-21 20:18:50,288 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparecopy.jsp.channel
2009-06-21 20:18:50,288 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparechannel.jsp.channel
2009-06-21 20:18:50,289 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.configlist.jsp.name
2009-06-21 20:18:50,289 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.subscriptions.jsp.channel
2009-06-21 20:18:50,289 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: method-form.jspf.email
2009-06-21 20:18:50,290 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: summary.jsp.status
2009-06-21 20:18:50,290 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: configoverview.jsp.status
2009-06-21 20:18:50,290 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: exportcolumn.errataStatus
2009-06-21 20:18:50,290 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: methods.jsp.methodname
2009-06-21 20:18:50,291 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: method-form.jspf.name
2009-06-21 20:18:50,291 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmchildsubconfirm.jsp.systemName
2009-06-21 20:18:50,292 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.files.total
2009-06-21 20:18:50,292 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: configoverview.jsp.system
2009-06-21 20:18:50,292 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: unsubscribeconfirm.jsp.system
2009-06-21 20:18:50,292 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmchannelsystems.jsp.system
2009-06-21 20:18:50,292 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.file_list.system
2009-06-21 20:18:50,292 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: exportcolumn.associatedSystem
2009-06-21 20:18:50,294 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: exportcolumn.message
2009-06-21 20:18:50,294 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: exportcolumn.advisorySynopsis
2009-06-21 20:18:50,294 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: methods.jsp.type
2009-06-21 20:18:50,294 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: method-form.jspf.type
2009-06-21 20:18:50,294 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: exportcolumn.updateDate
2009-06-21 20:18:50,295 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: config.common.view
2009-06-21 20:18:50,296 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.file_list.none
2009-06-21 20:18:50,296 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: activation-keys.jsp.header
2009-06-21 20:18:50,296 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: unsubscribeconfirm.jsp.channels
2009-06-21 20:18:50,296 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmchannelsystems.jsp.header
2009-06-21 20:18:50,296 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmsystemchannels.jsp.header
2009-06-21 20:18:50,296 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.configlist.jsp.header
2009-06-21 20:18:50,297 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: basesub.jsp.confirm.noChannelsFound
2009-06-21 20:18:50,298 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssm.config.subscribe.jsp.continue
2009-06-21 20:18:50,298 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.subscriptions.jsp.continue
2009-06-21 20:18:50,298 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: copycentral.jsp.current
2009-06-21 20:18:50,301 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: system_entitlements.virtualization_host.removed.success
2009-06-21 20:18:50,301 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: system_entitlements.virtualization_host_platform.removed.success
2009-06-21 20:18:50,302 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: system.common.systemName
2009-06-21 20:18:50,302 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: configsystemfilter.name
2009-06-21 20:18:50,303 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: exportcolumn.entryDate
2009-06-21 20:18:50,303 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: exportcolumn.state
2009-06-21 20:18:50,306 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: config.common.compare
2009-06-21 20:18:50,307 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: targetsystems.jsp.yes
2009-06-21 20:18:50,307 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: targetsystems.jsp.no
2009-06-21 20:18:50,308 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: exportcolumn.status
2009-06-21 20:18:50,312 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparechannel.jsp.files
2009-06-21 20:18:50,312 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssm.config.subscribe.jsp.files
2009-06-21 20:18:50,312 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssm.config.subscribeconfirm.jsp.files
2009-06-21 20:18:50,315 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: activation-key.jsp.header2
2009-06-21 20:18:50,315 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: activation-key.jsp.summary
2009-06-21 20:18:50,315 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: activation-key.jsp.create
2009-06-21 20:18:50,316 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: activation-key.jsp.create-key
2009-06-21 20:18:50,316 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: activation-key.jsp.delete-key
2009-06-21 20:18:50,316 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: activation-key.jsp.delete.title
2009-06-21 20:18:50,316 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: system.common.numsystems
2009-06-21 20:18:50,316 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: config.common.configChannel
2009-06-21 20:18:50,316 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: config.common.onefile
2009-06-21 20:18:50,316 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparechannel.jsp.onefile
2009-06-21 20:18:50,316 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: config.common.numfiles
2009-06-21 20:18:50,316 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparechannel.jsp.numfiles
2009-06-21 20:18:50,317 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: config.common.revision
2009-06-21 20:18:50,317 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: manage.jsp.revision
2009-06-21 20:18:50,317 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: copycentral.jsp.revision
2009-06-21 20:18:50,317 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparerevision.jsp.revnum
2009-06-21 20:18:50,317 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparecopy.jsp.revnum
2009-06-21 20:18:50,317 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: diff.jsp.revision
2009-06-21 20:18:50,317 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: difffiles.jsp.filerev
2009-06-21 20:18:50,317 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdcconfigfiles.jsp.filerev
2009-06-21 20:18:50,317 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: targetsystems.jsp.toolbar
2009-06-21 20:18:50,318 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmchildsubs.jsp.no-system
2009-06-21 20:18:50,318 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: configoverview.jsp.configlinks
2009-06-21 20:18:50,318 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.header.actions
2009-06-21 20:18:50,318 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdcdeployfile.jsp.confirm
2009-06-21 20:18:50,318 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdcdeployfile.jsp.header
2009-06-21 20:18:50,318 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.deploy.files
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdcdifffile.jsp.confirm
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdcdifffile.jsp.header
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.compare.files
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: diffconfirm.jsp.files
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: diffsystems.jsp.header
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: difffiles.jsp.header
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: configoverview.jsp.filename
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: manage.jsp.name
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmdiff.jsp.filename
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: difffiles.jsp.filename
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdcimportfile.jsp.filename
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdcimportconfirm.jsp.filename
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdcconfigfiles.jsp.filename
2009-06-21 20:18:50,319 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.file_list.actions
2009-06-21 20:18:50,320 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparefile.jsp.modified
2009-06-21 20:18:50,320 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.file_list.last_modified
2009-06-21 20:18:50,320 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: unsubscribe.jsp.unsubscribe
2009-06-21 20:18:50,320 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: diff.jsp.dir
2009-06-21 20:18:50,321 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: configfilefilter.path
2009-06-21 20:18:50,321 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmdeploy.jsp.header
2009-06-21 20:18:50,322 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: diff.jsp.txt
2009-06-21 20:18:50,322 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: diff.jsp.bin
2009-06-21 20:18:50,322 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: diff.jsp.startDelim
2009-06-21 20:18:50,323 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: configoverview.jsp.noFiles
2009-06-21 20:18:50,323 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmdiff.jsp.noFiles
2009-06-21 20:18:50,323 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: difffiles.jsp.noFiles
2009-06-21 20:18:50,323 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdcconfigfiles.jsp.noFiles
2009-06-21 20:18:50,324 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: configoverview.jsp.numchannels
2009-06-21 20:18:50,324 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: unsubscribeconfirm.jsp.numchannels
2009-06-21 20:18:50,324 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: configoverview.jsp.onechannel
2009-06-21 20:18:50,324 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: unsubscribeconfirm.jsp.onechannel
2009-06-21 20:18:50,324 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: configoverview.jsp.toolbar
2009-06-21 20:18:50,324 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.jsp.header
2009-06-21 20:18:50,324 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.header.overview
2009-06-21 20:18:50,324 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: manage.jsp.size
2009-06-21 20:18:50,324 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: isodownload.header.size
2009-06-21 20:18:50,324 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: manage.jsp.creation
2009-06-21 20:18:50,324 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparerevision.jsp.created
2009-06-21 20:18:50,325 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: copycentral.jsp.label
2009-06-21 20:18:50,325 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.configlist.jsp.label
2009-06-21 20:18:50,325 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparerevision.jsp.comparison
2009-06-21 20:18:50,325 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparefile.jsp.comparison
2009-06-21 20:18:50,325 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparerevision.jsp.compare
2009-06-21 20:18:50,325 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparefile.jsp.compare
2009-06-21 20:18:50,325 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparecopy.jsp.type
2009-06-21 20:18:50,325 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparechannel.jsp.type
2009-06-21 20:18:50,325 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparecopy.jsp.revision
2009-06-21 20:18:50,325 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.file_list.current_revision
2009-06-21 20:18:50,325 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparechannel.jsp.header
2009-06-21 20:18:50,326 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparefile.jsp.header
2009-06-21 20:18:50,326 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparechannel.jsp.noChannels
2009-06-21 20:18:50,326 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssm.config.subscribe.jsp.noChannels
2009-06-21 20:18:50,326 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: unsubscribe.jsp.noChannels
2009-06-21 20:18:50,326 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparefile.jsp.path
2009-06-21 20:18:50,326 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.file_list.name
2009-06-21 20:18:50,326 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: comparedeployed.jsp.schedule
2009-06-21 20:18:50,326 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmdiff.jsp.schedule
2009-06-21 20:18:50,326 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: diff.jsp.header
2009-06-21 20:18:50,326 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.header.diff_result
2009-06-21 20:18:50,327 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: unsubscribe.jsp.header
2009-06-21 20:18:50,327 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: unsubscribeconfirm.jsp.header
2009-06-21 20:18:50,328 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmchannelsystems.jsp.files
2009-06-21 20:18:50,328 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmsystemchannels.jsp.files
2009-06-21 20:18:50,328 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmchannelsystems.jsp.onefile
2009-06-21 20:18:50,328 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmsystemchannels.jsp.onefile
2009-06-21 20:18:50,328 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmchannelsystems.jsp.numfiles
2009-06-21 20:18:50,328 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmsystemchannels.jsp.numfiles
2009-06-21 20:18:50,328 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.file_list.provided_by
2009-06-21 20:18:50,328 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdcimportfile.jsp.channel
2009-06-21 20:18:50,329 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.configlist.jsp.unsubscribe
2009-06-21 20:18:50,329 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmchildsubs.jsp.unsubscribe
2009-06-21 20:18:50,329 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdcimportfile.jsp.button
2009-06-21 20:18:50,329 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdcimportconfirm.jsp.header
2009-06-21 20:18:50,334 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: common.download.header
2009-06-21 20:18:50,334 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: common.download.channel-name
2009-06-21 20:18:50,335 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmchildsubconfirm.jsp.submit
2009-06-21 20:18:50,336 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: basesub.jsp.confirm.cancel
2009-06-21 20:18:50,338 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmchildsubs.jsp.nochg
2009-06-21 20:18:50,338 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: basesub.jsp.no-channel-change
2009-06-21 20:18:50,338 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: ssmchildsubs.jsp.alter
2009-06-21 20:18:50,338 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: basesub.jsp.confirm.alter
2009-06-21 20:18:50,365 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.diff.files_2_dirs_1
2009-06-21 20:18:50,365 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: sdc.config.diff.files_2_dirs_2
2009-06-21 20:18:50,372 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: nav.sdc.config.overview
2009-06-21 20:18:50,373 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: nav.sdc.config.deploy_files
2009-06-21 20:18:50,373 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: nav.sdc.config.compare_files
2009-06-21 20:18:50,373 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: nav.sdc.config.subscribe_channels
2009-06-21 20:18:50,373 [TP-Processor3] WARN  com.redhat.rhn.common.localization.XmlResourceBundleParser - Duplicate message
key found in XML Resource file: system.detail.nav.remove
...

Looking at the code, looks like indeed we have duplicate keys in the localization resource files.  For example, search for that first one gives -
$ find ../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/ -type f |xargs grep comparedeployed.jsp.noSystems
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_fr.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_fr.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_ta.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_ta.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_ko.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_ko.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_zh_CN.xml:                      <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_zh_CN.xml:                      <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_pt_BR.xml:                      <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_pt_BR.xml:                      <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_hi.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_hi.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_ru.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_ru.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_gu.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_gu.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_en_US.xml:        <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_de.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_de.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_es.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_es.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_ja.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_ja.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_bn_IN.xml:                      <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_bn_IN.xml:                      <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_pa.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_pa.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_it.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_it.xml:                 <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_zh_TW.xml:                      <trans-unit id="comparedeployed.jsp.noSystems">
../rhn-java-sat-svn-r178191/code/src/com/redhat/rhn/frontend/strings/jsp/StringResource_zh_TW.xml:                      <trans-unit id="comparedeployed.jsp.noSystems">

So many resource files have duplicate mappings, such as the first file in the search results src/com/redhat/rhn/frontend/strings/jsp/StringResource_fr.xml where it has 2 trans-units with id comparedeployed.jsp.noSystems.
...
                        <trans-unit id="comparedeployed.jsp.noSystems">
                                <source>No systems.</source>
                                <target>Aucun système.</target>
                        </trans-unit>
...
                        <trans-unit id="comparedeployed.jsp.noSystems">
                                <source>No systems.</source>
                                <target>Aucun système.</target>
                        </trans-unit>
...

Similarly, you can grep for all of the duplicate keys mentioned in the warning logs above and find all files where there're duplicate mappings.  The targets appear to match for all the ones I've looked at so far, so no visible impact other than warnings in tomcat log.
Comment 8 Clifford Perry 2010-10-28 11:03:17 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.